Subject: bug#69616: Regression in eshell-tramp since Emacs 29.1

From: Baptiste Strazzulla <[email-masked]>
Date: Thu, 7 Mar 2024 18:08:07 +0000

Hello!

Since the Emacs upgrade to 29.1 last october, I've been struggling with `sudo` in Emacs shell with the `eshell-tramp` module loaded (`(add-to-list 'eshell-modules-list 'eshell-tramp)`).

It fails if given any command in ~/.guix-profile/bin:

```
~ $ sudo git
git: command not found
```

and also fails (and downright kills the buffer) if given any command in /run/current-system/profile/bin

```
~ $ sudo guix
sudo: /run/current-system/profile/bin/sudo must be owned by uid 0 and have the setuid bit set
```

I tried with Emacs 28.1 on an old generation of packages I had and both commands worked fine on it.

I could also just not load this module anymore but as it turns out, `guix` is having problem finding modules defined in external channels then:

```
~ $ sudo guix system reconfigure ~/.config/guix/config.scm
guix system: error: failed to load '/home/baptiste/.config/guix/config.scm':
/home/baptiste/.config/guix/config.scm:127:2: Module named (nongnu packages linux) has no public interface
```

Does anyone have any ideas?

Kind regards and thank you for your dedication,
Baptiste Strazzulla